import { Node } from '@kerebron/editor';
export class NodeDocumentCode extends Node {
    constructor() {
        super(...arguments);
        Object.defineProperty(this, "name", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: 'doc_code'
        });
    }
    getNodeSpec() {
        return {
            content: 'code_block',
            EMPTY_DOC: {
                'type': this.name,
                'content': [
                    {
                        'type': 'code_block',
                        'attrs': {
                            'lang': this.config.lang || null,
                        },
                        'content': [
                        // {
                        //   "type": "text",
                        // "text": ""
                        // }
                        ],
                    },
                ],
            },
        };
    }
}
