import * as cmState from '@codemirror/state'; // eslint-disable-line
export class YSyncConfig {
    constructor(getNode, getPmPos, awareness) {
        Object.defineProperty(this, "getNode", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: getNode
        });
        Object.defineProperty(this, "getPmPos", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: getPmPos
        });
        Object.defineProperty(this, "awareness", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: awareness
        });
    }
}
export const ySyncFacet = cmState.Facet
    .define({
    combine(inputs) {
        return inputs[inputs.length - 1];
    },
});
